<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="c:\program files\microsoft visual studio 8\team tools\static analysis tools\fxcop\Xml\CodeAnalysisReport.Xsl"?>
<FxCopReport Version="8">
 <Targets>
  <Target Name="C:\Documents and Settings\wINd\桌面\DL810_5510.CS\DL810_5510_En_V1.00\bin\Debug\DL810_5510MUL_EN.exe">
   <Modules>
    <Module Name="dl810_5510mul_en.exe">
     <Namespaces>
      <Namespace Name="DL810Demo">
       <Types>
        <Type Name="frmDL810Demo" Kind="Class" Accessibility="Public" ExternallyVisible="True">
         <Messages>
          <Message TypeName="IdentifiersShouldBeCasedCorrectly" Category="Microsoft.Naming" CheckId="CA1709" Status="Active" Created="2009-03-18 02:55:23Z" FixCategory="Breaking">
           <Issue Name="Type" Certainty="95" Level="Error">更正类型名“frmDL810Demo”的大小写。</Issue>
          </Message>
         </Messages>
        </Type>
       </Types>
      </Namespace>
     </Namespaces>
    </Module>
   </Modules>
  </Target>
 </Targets>
 <Rules>
  <Rule TypeName="IdentifiersShouldBeCasedCorrectly" Category="Microsoft.Naming" CheckId="CA1709">
   <Name>标识符的大小写应当正确</Name>
   <Description>类型、命名空间和成员标识符应采用 Pascal 大小写格式。参数标识符应采用 Camel 大小写格式。Pascal 大小写格式约定每个单词的首字母大写，如 BackColor。Camel 大小写格式约定第一个单词的首个字母小写，所有后续单词的首个字母都大写，如 backgroundColor。</Description>
   <Resolution Name="Type">更正类型名“{0}”的大小写。</Resolution>
   <Owner />
   <Email>[none]</Email>
   <MessageLevel Certainty="95">Error</MessageLevel>
   <File Name="NamingRules.dll" Version="8.0.0.0" />
  </Rule>
 </Rules>
 <Localized>
  <String Key="Category">类别</String>
  <String Key="CollapseAll">全部折叠</String>
  <String Key="CheckId">检查 ID</String>
  <String Key="Error">错误</String>
  <String Key="Errors">错误</String>
  <String Key="Line">行</String>
  <String Key="LocationNotStoredInPdb">&lt;Location not stored in Pdb&gt;</String>
  <String Key="Project">项目</String>
  <String Key="Rule">规则</String>
  <String Key="RuleDescription">规则说明</String>
  <String Key="Source">源</String>
  <String Key="Target">目标</String>
  <String Key="Warning">警告</String>
  <String Key="Warnings">警告</String>
  <String Key="ReportTitle">Microsoft Visual Studio 2005 代码分析报告</String>
 </Localized>
 <Exceptions>
  <Exception Keyword="CA0001" Kind="Engine">
   <Type>System.Threading.ThreadAbortException</Type>
   <ExceptionMessage>正在中止线程。</ExceptionMessage>
   <StackTrace>   在 Microsoft.Fugue.Checker.AssemblyMemberVisitor.AnalyzeMethod(Method method)
   在 Microsoft.Fugue.FugueEngine.Analyze(Method method)
   在 Microsoft.FxCop.Engines.Introspection.AnalysisVisitor.CheckMethodFlow(Method method, NodeBase target)</StackTrace>
  </Exception>
  <Exception Keyword="CA0001" Kind="Engine">
   <Type>Microsoft.FxCop.Sdk.FxCopException</Type>
   <ExceptionMessage>FxCop appears to have hung or deadlocked.</ExceptionMessage>
  </Exception>
 </Exceptions>
</FxCopReport>
